class Command
{
public:
  virtual void Execute() = 0;
  virtual ~Command() {}

  // This method is used to register as GTKMM signal handler
  void on_command()
  {
    // This calls the concrete command's Execute() implementation.
    Execute();
  }
};
