#include "CloudVault.h"

namespace cloud {
namespace vault {

static const size_t kMaxNameLength = 1024;

void EncryptedFileSystem::Connect(const char* aHost, uint16_t aPort)
{
}

void EncryptedFileSystem::Disconnect()
{
}

bool EncryptedFileSystem::IsConnected()
{
}

const char* EncryptedFile::GetName()
{
  // Using mImpl: read encrypted name from mFile.
  const char *encryptedName = mImpl->GetName();

  // The "decoration" part: decryption.
  // Decrypt name
  static char name[kMaxNameLength];
  size_t outNameLen = 0;
  DecryptBytes(encryptedName, name, &outNameLen);
  // XXX Note that this is not thread-safe.
  return name;
}

void EncryptedFile::Delete()
{
}

void EncryptedFolder::Delete()
{
}

}
}
